Page MenuHomePhabricator

Let users configure date format in account settings
Closed, DeclinedPublic

Description

Account settings only allow you to change the time–of–day format; it would be nice and i18n friendly to allow users to customize the way they want to display full dates.

For instance, I would like my dates to display in the ISO 8601 format YYYY-MM-DD, the way I have configured it on Wikimedia wikis.

(Pinging @Qgil so that he can triage this feature request at his leisure.)

Details

Reference
fl176

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:29 AM
flimport set Reference to fl176.

aklapper wrote on 2014-06-09 12:22:55 (UTC)

Upstreamed as https://secure.phabricator.com/T5296

http://fab.wmflabs.org/settings/panel/account/ seems to only allow setting the Time Format, but not the Date Format.
Setting a custom format like

Y-m-d H:i

ends up with a duplicated date:

Mon, Jun 9, 2014-06-09 12:08

Also see https://secure.phabricator.com/T1139, and https://secure.phabricator.com/T1321#12 for server config; however the user setting should be expanded to support not only editing the time format, but also the date format.

Krenair added a subscriber: Krenair.Oct 3 2014, 6:14 PM
Qgil set Security to None.
Qgil added a comment.Dec 5 2014, 1:13 PM

I don't think this is a problem relevant enough to have the Wikimedia flag upstream (see T1298). I just removed it.

You mean it's not Wikimedia-specific enough? Sounds fine

Qgil added a comment.Dec 5 2014, 5:34 PM

The idea of T1298 is to use the Wikimedia label upstream only in tasks that are really relevant for us. The more tasks we add, the less attention they are likely to put on each.

Qgil lowered the priority of this task from Low to Lowest.Feb 4 2015, 7:07 PM

Some upstream progress in https://secure.phabricator.com/T8362 but not fixed yet

Upstream ticket above is marked as fixed. I see dropdown for date format in my phabricator preferences, but it doesn't actually work. I have selected ISO but I still see on this page Via Web · Feb 17 2015, 13:52.

Correct (here and in upstream), that's why I wrote "but not fixed yet". See upstream ticket:

Anywhere with "Jun 2, 2015" format should not be changed. Only forms "mm-dd-yyyy" should respect the date format.

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:49 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM
Dalba added a subscriber: Dalba.Jul 8 2016, 9:00 AM

According to https://secure.phabricator.com/T4661 , "We now allow you control component order in the date control."
So this task welcomes re-evaluation after the next pull from upstream.

My fault - the link in the last comment only refered to custom "date" fields.

Going to https://phabricator.wikimedia.org/settings/ > Personal Account Settings > Account > Date and Time, there are options under "Date Format" such as "ISO 8601: 2000-02-28" but that's still not reflected in tasks (still showing "Tue, Aug 23, 23:01" for me.

Qgil removed a subscriber: Qgil.Sep 9 2016, 11:49 AM
Tgr added a subscriber: Tgr.

I'll remove the developer wishlist tag as 1) even though this is about a developer tool, it is unlikely that a date format has much effect on anyone's efficiency; 2) in any case, we are very unlikely to be able to do anything about it.

If it's helpful, this is the current upstream position on date format customization:

https://secure.phabricator.com/T5296#185680

Legoktm reopened this task as Open.Dec 1 2017, 6:38 AM

See also T86464. I don't currently plan to make further changes here to support customization of relative/contextual human-readable dates like "Jan 1 20XX" and "Mon, Jan 1". Dates in most other contexts are customizable and support ISO formats, and times in all contexts are customizable and support 12-hour and 24-hour formats.

Aklapper closed this task as Declined.Jul 4 2019, 2:02 AM

Declining as per last comment.